org.apache.cayenne.access.trans

## Class LOBBatchQueryWrapper

- java.lang.Object
- - org.apache.cayenne.access.trans.LOBBatchQueryWrapper

-     public class LOBBatchQueryWrapper
      extends Object

  Helper class to extract the information from BatchQueries, essential for LOB columns processing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean[]` | `allLOBAttributes`
    `protected List<DbAttribute>` | `dbAttributes`
    `protected boolean` | `hasNext`
    `protected boolean[]` | `qualifierAttributes`
    `protected BatchQuery` | `query`
    `protected Object[]` | `updatedLOBAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LOBBatchQueryWrapper(BatchQuery query)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected byte[]` | `convertToBlobValue(Object value)` Converts value to byte[] if possible.
    `protected Object` | `convertToClobValue(Object value)` Converts to char[] or String.
    `List<DbAttribute>` | `getDbAttributesForLOBSelectQualifier()` Returns a list of DbAttributes used in the qualifier of the query that selects a LOB row for LOB update.
    `List<DbAttribute>` | `getDbAttributesForUpdatedLOBColumns()` Returns a list of DbAttributes that correspond to the LOB columns updated in the current row in the batch query.
    `BatchQuery` | `getQuery()` Returns wrapped BatchQuery.
    `List` | `getValuesForLOBSelectQualifier()`
    `List` | `getValuesForUpdatedLOBColumns()`
    `protected void` | `indexLOBAttributes()` Indexes attributes
    `protected void` | `indexQualifierAttributes()` Indexes attributes
    `boolean` | `next()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### query

          protected BatchQuery query

    - #### dbAttributes

          protected List<DbAttribute> dbAttributes

    - #### qualifierAttributes

          protected boolean[] qualifierAttributes

    - #### allLOBAttributes

          protected boolean[] allLOBAttributes

    - #### updatedLOBAttributes

          protected Object[] updatedLOBAttributes

    - #### hasNext

          protected boolean hasNext

  - ### Constructor Detail

    - #### LOBBatchQueryWrapper

          public LOBBatchQueryWrapper(BatchQuery query)

  - ### Method Detail

    - #### next

          public boolean next()

    - #### indexQualifierAttributes

          protected void indexQualifierAttributes()

      Indexes attributes

    - #### indexLOBAttributes

          protected void indexLOBAttributes()

      Indexes attributes

    - #### convertToBlobValue

          protected byte[] convertToBlobValue(Object value)

      Converts value to byte[] if possible.

    - #### convertToClobValue

          protected Object convertToClobValue(Object value)

      Converts to char[] or String. Both are acceptable when writing CLOBs.

    - #### getDbAttributesForLOBSelectQualifier

          public List<DbAttribute> getDbAttributesForLOBSelectQualifier()

      Returns a list of DbAttributes used in the qualifier of the query that selects a LOB row for LOB update.

    - #### getDbAttributesForUpdatedLOBColumns

          public List<DbAttribute> getDbAttributesForUpdatedLOBColumns()

      Returns a list of DbAttributes that correspond to the LOB columns updated in the current row in the batch query. The list will not include LOB attributes that are null or empty.

    - #### getValuesForLOBSelectQualifier

          public List getValuesForLOBSelectQualifier()

    - #### getValuesForUpdatedLOBColumns

          public List getValuesForUpdatedLOBColumns()

    - #### getQuery

          public BatchQuery getQuery()

      Returns wrapped BatchQuery.

Copyright © 2001–2018 Apache Cayenne. All rights reserved.